Skip to main content

Get Instance Request Template

GET 

/session/v1/instance-request-template/:instance_request_template_id

Get the config used to request an instance by the InstanceRequestTemplate ID. This ID can be found in MatchMakingProfiles that are return by the /v1/match-making-templates/ endpoint

Required Permissions:

  • For any player (including themselves) any of: session:*, session:read:config

Required Session Permissions: None

Request

Path Parameters

    instance_request_template_id uuidrequired

Header Parameters

    if-none-match If-None-Match

    If you provide the ETag that matches the current ETag for this resource, a 304 response will be returned - indicating that the resource has not changed.

Responses

Successful Response

Response Headers

  • ETag

    string

    Used to identify this version of the content. Provide with a get request to avoid downloading the same data multiple times.

Schema

    instance_request_template_id uuidrequired

    ID to uniquely identify this instance launch template

    map_selection_list

    object

    required

    map_selection_list_id Map Selection List Id (string)required

    ID to uniquely identify this map selection list

    maps

    object[]

    required

    List of maps that can be chosen in this selection list

  • Array [

  • map_id Map Id (string)required

    ID to uniquely identify this map game

    map_name Map Name (string)required

    Name of the map the instance should load into

    mode Mode (string)

    Game mode for the instance to spawn in

    map_weight Map Weight (number)required

    Possible values: <= 100

    Chance that this map will get selected in a rotation list

    custom_data

    object

    Custom data to pass through to the instance

    property name* string
    name Name (string)

    Human readable name for this map

    description Description (string)

    Description of the map

    misc_params Misc Params (string)

    Misc params to be passed to the instance when using this map

  • ]

  • default_host_type HostType (string)required

    Possible values: [dedicated, player, preallocated]

    Whether the host is another player, or a dedicated instance

    custom_data

    object

    Custom data that will be passed to the session during the instance launch request

    property name* string
Loading...